package Task2;

public class PalindromePrimes626 {

    public static void main(String[] args) {
        int targetCount = 100;
        int numbersPerLine = 10;
        int count = 0;

        for (int num = 2; count < targetCount; num++) {
            if (isPalindromicPrime(num)) {
                System.out.print(num + " ");
                count++;
                if (count % numbersPerLine == 0) {
                    System.out.println();
                }
            }
        }
    }

    public static boolean isPalindromicPrime(int num) {
        return isPrime(num) && isPalindrome(num);
    }

    public static boolean isPrime(int num) {
        if (num <= 1) {
            return false;
        }
        for (int i = 2; i * i <= num; i++) { // Only check up to the square root
            if (num % i == 0) {
                return false;
            }
        }
        return true;
    }

    public static boolean isPalindrome(int num) {
        int reversed = 0;
        int original = num;
        while (num > 0) {  // Reverse the number
            reversed = reversed * 10 + num % 10;
            num /= 10;
        }
        return reversed == original;
    }
}



