package Upskills_Training.Class;

import java.util.Scanner;

public class DarazResetPasswordPage extends UserAccount implements  Resettable {


    private String resetToken;

    public  DarazResetPasswordPage(String userEmail)
    {
        super(userEmail);
    }

    @Override
    public void resetPassword()
    {
        generateResetToken();
        sendResetTokenByEmail();
        promptUserForNewPassword();
        updatePasswordInDatabase();
        notifyUserOfSuccess();
    }

    private void generateResetToken() {

        resetToken = "123456"; // In reality, use a secure token generator
        System.out.println("Reset token generated: " + resetToken);
    }

    private void sendResetTokenByEmail() {
        System.out.println("Reset token sent to: " + getUserEmail());
    }

    private void promptUserForNewPassword() {
        System.out.println("Please enter your new password.");
    }

    private void updatePasswordInDatabase() {
        System.out.println("Password updated in the database.");
    }

    private void notifyUserOfSuccess() {
        System.out.println("Your password has been successfully reset.");
    }


    public static void main(String[] args) {

        DarazResetPasswordPage darazResetPasswordPage = new DarazResetPasswordPage("abc@gmail.com");
        darazResetPasswordPage.resetPassword();
    }
}
