package Upskills_Training.Contructors;

public class ChatBoxDarazWeb {

    private boolean isLoggedIn;
    private String chatBoxContent;


    public  ChatBoxDarazWeb()
    {
        isLoggedIn = false; //set by default log out
        this.chatBoxContent = "";
    }

    public ChatBoxDarazWeb(boolean isLoggedIn)
    {
       this.isLoggedIn = isLoggedIn;
       this.chatBoxContent = isLoggedIn? " Welcome to Daraz Customer Care!" : "";   // Populate chat box if logged in
    }
    public  void userLogin()
    {
        this.isLoggedIn = true;
        this.chatBoxContent = "Welcome to Daraz Customer Care!";
    }

    public  void userLogout()
    {
        this.isLoggedIn = false;
        this.chatBoxContent = "user logout to start the chat you have to login again";
    }

    public String getChatBoxContent()
    {
        return this.chatBoxContent;
    }

    public static void main(String[] args) {

        // Using Default Constructor
        ChatBoxDarazWeb chatBoxDarazWeb = new ChatBoxDarazWeb();
        System.out.println("Chat Box Content (Before Login): " + chatBoxDarazWeb.getChatBoxContent());

        //After Login

        chatBoxDarazWeb.userLogin();
        System.out.println("Chat Box Content (After Login): " + chatBoxDarazWeb.getChatBoxContent());

        //After Logout
        chatBoxDarazWeb.userLogout();
        System.out.println("Chat Box Content (After Logout): " + chatBoxDarazWeb.getChatBoxContent());
    }
}
