package org.Task1;

import java.util.Scanner;

public class TriangleArea {

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);

        System.out.print("Enter three points for a triangle: ");
        double x1 = input.nextDouble();
        double y1 = input.nextDouble();
        double x2 = input.nextDouble();
        double y2 = input.nextDouble();
        double x3 = input.nextDouble();
        double y3 = input.nextDouble();

        // Calculate side lengths using the distance formula
        double side1 = calculateSideLength(x1, y1, x2, y2);
        double side2 = calculateSideLength(x2, y2, x3, y3);
        double side3 = calculateSideLength(x3, y3, x1, y1);

        // Calculate semi-perimeter
        double s = (side1 + side2 + side3) / 2;

        // Calculate area using Heron's formula
        double area = Math.sqrt(s * (s - side1) * (s - side2) * (s - side3));

        System.out.println("The area of the triangle is " + area);
    }

    // Helper method to calculate side length using the distance formula
        private static double calculateSideLength(double x1, double y1, double x2, double y2) {
        return Math.sqrt(Math.pow(x2 - x1, 2) + Math.pow(y2 - y1, 2));
    }
}


